Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.output
Interface ATermVisitor

All Known Subinterfaces:
  ATermRenderer

All Known Implementing Classes:
  ATermAbstractSyntaxRenderer, ATermBaseRenderer, ATermBaseVisitor, ATermConverter, ConceptConverter

    public interface ATermVisitor

A visitor interface specifically designed for structures in Pellet. Since the class descriptions in Pellet are all represented as ATermAppl's with different functors any output (or conversion) function will need to check functors in order to create a result. This interface defines the functions for each different construct to make this process easier. A better implementation would actually integrate this functionality with the jjtraveler.Visitable interface.

Author:
  Evren Sirin

Method Summary
`void` | `visit(aterm.ATermAppl term)` Visit a generic term which may be a class expression, individual or a literal.
`void` | `visitAll(aterm.ATermAppl term)` Visit the 'all' (allValuesFrom restriction) term.
`void` | `visitAnd(aterm.ATermAppl term)` Visit the 'and' (intersectionOf) term.
`void` | `visitCard(aterm.ATermAppl term)` Visit the 'card' (minCardinality restriction) term.
`void` | `visitHasValue(aterm.ATermAppl term)` Visit the hasValue restriction term.
`void` | `visitList(aterm.ATermList term)` Visit the list structure.
`void` | `visitLiteral(aterm.ATermAppl term)` Visit the literal term.
`void` | `visitMax(aterm.ATermAppl term)` Visit the 'max' (maxCardinality restriction) term.
`void` | `visitMin(aterm.ATermAppl term)` Visit the 'min' (minCardinality restriction) term.
`void` | `visitNot(aterm.ATermAppl term)` Visit the 'not' (complementOf) term.
`void` | `visitOneOf(aterm.ATermAppl term)` Visit the 'oneOf' term.
`void` | `visitOr(aterm.ATermAppl term)` Visit the 'or' (unionOf) term.
`void` | `visitSelf(aterm.ATermAppl term)` Visit the self restriction term.
`void` | `visitSome(aterm.ATermAppl term)` Visit the 'some' (someValuesFrom restriction) term.
`void` | `visitTerm(aterm.ATermAppl term)` Visit a primitive term (with no arguments) that stands for a URI.
`void` | `visitValue(aterm.ATermAppl term)` Visit the nominal term.

Method Detail

### visit

    void visit(aterm.ATermAppl term)

  Visit a generic term which may be a class expression, individual or a literal.

  Parameters:
    `term` -

### visitTerm

    void visitTerm(aterm.ATermAppl term)

  Visit a primitive term (with no arguments) that stands for a URI. This URI may belong to a class, a property, an individual or a datatype.

  Parameters:
    `term` -

### visitAnd

    void visitAnd(aterm.ATermAppl term)

  Visit the 'and' (intersectionOf) term.

  Parameters:
    `term` -

### visitOr

    void visitOr(aterm.ATermAppl term)

  Visit the 'or' (unionOf) term.

  Parameters:
    `term` -

### visitNot

    void visitNot(aterm.ATermAppl term)

  Visit the 'not' (complementOf) term.

  Parameters:
    `term` -

### visitSome

    void visitSome(aterm.ATermAppl term)

  Visit the 'some' (someValuesFrom restriction) term.

  Parameters:
    `term` -

### visitAll

    void visitAll(aterm.ATermAppl term)

  Visit the 'all' (allValuesFrom restriction) term.

  Parameters:
    `term` -

### visitMin

    void visitMin(aterm.ATermAppl term)

  Visit the 'min' (minCardinality restriction) term.

  Parameters:
    `term` -

### visitCard

    void visitCard(aterm.ATermAppl term)

  Visit the 'card' (minCardinality restriction) term. This is not a standard term that ise used inside the reasoner but sometimes used for display purposes. Normally, cardinality restrictions would be stored as a conjunction of min and max restrictions.

  Parameters:
    `term` -

### visitMax

    void visitMax(aterm.ATermAppl term)

  Visit the 'max' (maxCardinality restriction) term.

  Parameters:
    `term` -

### visitHasValue

    void visitHasValue(aterm.ATermAppl term)

  Visit the hasValue restriction term. This term is in the form some(property,value(individual)) or some(property,value(literal))

  Parameters:
    `term` -

### visitValue

    void visitValue(aterm.ATermAppl term)

  Visit the nominal term. This term is in the form some(property,value(individual))

  Parameters:
    `term` -

### visitOneOf

    void visitOneOf(aterm.ATermAppl term)

  Visit the 'oneOf' term. This term is in the form or([value(i1),value(i2),...,value(i3)] where i's are individuals or literal constants

  Parameters:
    `term` -

### visitLiteral

    void visitLiteral(aterm.ATermAppl term)

  Visit the literal term. The literals are in the form literal(lexicalValue, language, datatypeURI)

  Parameters:
    `term` -

### visitList

    void visitList(aterm.ATermList term)

  Visit the list structure. Lists are found in 'and' and 'or' terms.

  Parameters:
    `term` -

### visitSelf

    void visitSelf(aterm.ATermAppl term)

  Visit the self restriction term. This is in the form self(p).

  Parameters:
    `term` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.